#!/bin/sh

#cd /specs

if [ ! -f my2.sed ]
then
   echo "file my2.sed cant be found"
   exit
fi

find /specs -name "*.dmp" | xargs rm -f

#modify files in /specs
for file in `find . -type f -level 1 && find gp -type f`
do
   echo $file | egrep -q "sed$"
   if [ $? -eq 0 ]
   then
      #skip this sed file
      continue
   fi
   echo $file | egrep -q "before$"
   if [ $? -eq 0 ]
   then
      #skip this .before file
      continue
   fi
   echo $file | egrep -q "^./engine_specs"
   if [ $? -eq 0 ]
   then
      #skip this engine_specs file
      continue
   fi
   sed -f my2.sed $file > mytempfile.sed
   diff $file mytempfile.sed >/dev/null 2>&1
   if [ $? -ne 0 ]
   then
       mv -f $file $file.before
       mv mytempfile.sed $file
       echo "$file  $file.before " >> changelog.sed
       diff $file  $file.before 2>&1 >> changelog.sed
   else
       rm -f mytempfile.sed
   fi
done

exit
